Cloudron makes it easy to run web apps like WordPress, Nextcloud, GitLab on your server. Find out more or install now.


Skip to content
  • 0 Votes
    2 Posts
    351 Views
    humptydumptyH

    @LoudLemur AFAIK, you need a new premium license for each server you want to run more than two apps on. The "premium" isn't for the "account" on Cloudron.io, it's for that specific server/vps. I have no idea how to transfer the premium license from one Cloudron to another but I'm sure it's possible. The Cloudron team is working on multi-host but I haven't read anything on how that would work.

  • 1 Votes
    23 Posts
    1k Views
    M

    @robi I've put it in the corresponding thread here

  • 0 Votes
    2 Posts
    271 Views
    subvenS

    Have you tried pressing try again? Wouldnt it be better to just create Cloudron accounts for your users? You can limit their access using groups on Cloudron level.

  • 3 Votes
    10 Posts
    571 Views
    girishG

    @fair Here's a script to create a user and invite them.

    #!/bin/bash set -eu # fill these in cloudron=my.domain.com token=a803859d40c9ec4e111ccb111111111111111111111 # the user to add and invite username=test email=test@cloudron.io displayName="Test User" function urlencode() { # https://unix.stackexchange.com/questions/159253/decoding-url-encoding-percent-encoding python2.7 -c "import sys, urllib as ul; print(ul.quote_plus(sys.argv[1]))" $1 } # add user if ! out=$(curl -sS --fail -H 'Content-Type: application/json' -X POST -d "{ \"email\": \"${email}\", \"username\": \"${username}\", \"displayName\": \"${displayName}\" }" https://${cloudron}/api/v1/users?access_token=${token}); then echo "Failed to add user" exit 1 fi userid=$(echo ${out} | jq -r .id) echo "User added: ${userid}" # create an invite. this does not send the email. if you like you can share the invite link using other channels if ! out=$(curl -sS --fail -H 'Content-Type: application/json' -X POST https://${cloudron}/api/v1/users/${userid}/create_invite?access_token=${token}); then echo "Failed to create invitation" exit 1 fi resetToken=$(echo ${out} | jq -r .resetToken) encodedEmail=$(urlencode "${email}") encodedDisplayName=$(urlencode "${displayName}") echo "reset token: ${resetToken} . URL for user to sign up: https://${cloudron}/setupaccount.html?resetToken=${resetToken}&email=${encodedEmail}&displayName=${encodedDisplayName}&username=${username}&profileLocked=true" # tell cloudron to send the invite by mail. invite links are only valid for a day from when they were created if ! out=$(curl -sS --fail -H 'Content-Type: application/json' -X POST https://${cloudron}/api/v1/users/${userid}/send_invite?access_token=${token}); then echo "Failed to send invitation" exit 1 fi echo "Invitation sent"
  • Open registration

    Moved Feature Requests
    47
    6 Votes
    47 Posts
    3k Views
    P

    @plusone-nick said in Open registration:

    Also interested in this use case - if any code is shared please let me know =] I will also look into giving this a shot

    Better late than never 😅 https://forum.cloudron.io/topic/7546/open-registration-app-for-cloudron